Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class MessageType

    java.lang.Object
      nz.co.cks.tms.xml.MessageType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TmsMessage

public abstract class MessageType
extends java.lang.Object
implements java.io.Serializable

Class MessageType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_messageId` keeps track of state for field: _messageId
`private MessageAuthBlk` | `_messageAuthBlk` Field _messageAuthBlk
`private java.lang.String` | `_messageComment` Field _messageComment
`private java.util.Date` | `_messageDateTime` Field _messageDateTime
`private long` | `_messageId` Field _messageId
`private MessageTypeChoice` | `_messageTypeChoice` Field _messageTypeChoice

Constructor Summary
`MessageType()`

Method Summary
`MessageAuthBlk` | `getMessageAuthBlk()` Method getMessageAuthBlkReturns the value of field 'messageAuthBlk'.
`java.lang.String` | `getMessageComment()` Method getMessageCommentReturns the value of field 'messageComment'.
`java.util.Date` | `getMessageDateTime()` Method getMessageDateTimeReturns the value of field 'messageDateTime'.
`long` | `getMessageId()` Method getMessageIdReturns the value of field 'messageId'.
`MessageTypeChoice` | `getMessageTypeChoice()` Method getMessageTypeChoiceReturns the value of field 'messageTypeChoice'.
`boolean` | `hasMessageId()` Method hasMessageId
`boolean` | `isValid()` Method isValid
`void` | `setMessageAuthBlk(MessageAuthBlk messageAuthBlk)` Method setMessageAuthBlkSets the value of field 'messageAuthBlk'.
`void` | `setMessageComment(java.lang.String messageComment)` Method setMessageCommentSets the value of field 'messageComment'.
`void` | `setMessageDateTime(java.util.Date messageDateTime)` Method setMessageDateTimeSets the value of field 'messageDateTime'.
`void` | `setMessageId(long messageId)` Method setMessageIdSets the value of field 'messageId'.
`void` | `setMessageTypeChoice(MessageTypeChoice messageTypeChoice)` Method setMessageTypeChoiceSets the value of field 'messageTypeChoice'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_messageId

    private boolean _has_messageId

  keeps track of state for field: _messageId

### _messageAuthBlk

    private MessageAuthBlk _messageAuthBlk

  Field _messageAuthBlk

### _messageComment

    private java.lang.String _messageComment

  Field _messageComment

### _messageDateTime

    private java.util.Date _messageDateTime

  Field _messageDateTime

### _messageId

    private long _messageId

  Field _messageId

### _messageTypeChoice

    private MessageTypeChoice _messageTypeChoice

  Field _messageTypeChoice

Constructor Detail

### MessageType

    public MessageType()

Method Detail

### getMessageAuthBlk

    public MessageAuthBlk getMessageAuthBlk()

  Method getMessageAuthBlkReturns the value of field 'messageAuthBlk'.

  Returns:
    the value of field 'messageAuthBlk'.

### getMessageComment

    public java.lang.String getMessageComment()

  Method getMessageCommentReturns the value of field 'messageComment'.

  Returns:
    the value of field 'messageComment'.

### getMessageDateTime

    public java.util.Date getMessageDateTime()

  Method getMessageDateTimeReturns the value of field 'messageDateTime'.

  Returns:
    the value of field 'messageDateTime'.

### getMessageId

    public long getMessageId()

  Method getMessageIdReturns the value of field 'messageId'.

  Returns:
    the value of field 'messageId'.

### getMessageTypeChoice

    public MessageTypeChoice getMessageTypeChoice()

  Method getMessageTypeChoiceReturns the value of field 'messageTypeChoice'.

  Returns:
    the value of field 'messageTypeChoice'.

### hasMessageId

    public boolean hasMessageId()

  Method hasMessageId

### isValid

    public boolean isValid()

  Method isValid

### setMessageAuthBlk

    public void setMessageAuthBlk(MessageAuthBlk messageAuthBlk)

  Method setMessageAuthBlkSets the value of field 'messageAuthBlk'.

  Parameters:
    `messageAuthBlk` - the value of field 'messageAuthBlk'.

### setMessageComment

    public void setMessageComment(java.lang.String messageComment)

  Method setMessageCommentSets the value of field 'messageComment'.

  Parameters:
    `messageComment` - the value of field 'messageComment'.

### setMessageDateTime

    public void setMessageDateTime(java.util.Date messageDateTime)

  Method setMessageDateTimeSets the value of field 'messageDateTime'.

  Parameters:
    `messageDateTime` - the value of field 'messageDateTime'.

### setMessageId

    public void setMessageId(long messageId)

  Method setMessageIdSets the value of field 'messageId'.

  Parameters:
    `messageId` - the value of field 'messageId'.

### setMessageTypeChoice

    public void setMessageTypeChoice(MessageTypeChoice messageTypeChoice)

  Method setMessageTypeChoiceSets the value of field 'messageTypeChoice'.

  Parameters:
    `messageTypeChoice` - the value of field 'messageTypeChoice'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD